Ubuntu

When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.

Reported by Willem Pieterson on 2010-09-06
458
This bug affects 82 people
Affects Status Importance Assigned to Milestone
evolution-exchange
Fix Released
Critical
evolution-exchange (Ubuntu)
High
Unassigned
Maverick
High
Unassigned

Bug Description

Binary package hint: evolution-exchange

uploaded to -proposed:
evolution-exchange (2.30.3-0ubuntu2) maverick-proposed; urgency=low

  * debian/rules:
    - strip -Bsymbolic-function to attempt fixing ExchangeAccount registration
      (LP: #631395)

Test case:
1. ensure you are using an exchange server, normally it's currently broken for you in maverick
2. install the version from -proposed
3. restart evolution, you should be able to connect to your exchange server now.

------------
Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: evolution 2.30.3-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic i686
Architecture: i386
Date: Mon Sep 6 11:05:28 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: evolution

Willem Pieterson (wpieterson) wrote :
affects: evolution (Ubuntu) → evolution-exchange (Ubuntu)

It does look similar, my contactlist does not work though, although
the Calender does work fine.

On Mon, Sep 6, 2010 at 2:17 PM, Igor Nikolic <email address hidden> wrote:
> Is this the same bug as #631282 ?
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631282
>
> --
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.
> https://bugs.launchpad.net/bugs/631395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “evolution-exchange” package in Ubuntu: New
>
> Bug description:
> Binary package hint: evolution
>
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep  6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631395/+subscribe
>

Same here:

i can see my exchange contacts, calendars and tasks. Consequently my calendar applet works as expected on the gnome panel, only email is broken.

PS: wenn starting evolution in a terminal i see

EI: MAIL PREFS

riltondigger (riltondigger) wrote :

in almost every change of version of ubuntu I have problems with the evolution exchange connector ...
https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/633127

This problem only affect to Ubuntu, I test in other distros and don't have this Bug.
for example in:
Fedora 13 I have evolution-exchange 2.30.3-1
Could be one patch apply for Ubuntu Developers?

Dale Armstrong (dale-armada) wrote :

Same here. Upgraded to 10.10 and Mail folder will not expand on my Exchange account. Contacts and Calendar are working. Seems to me, this is an important issue.

Dale Armstrong (dale-armada) wrote :

Just found that if I load Evolution in offline mode via Terminal -

evolution --offline

then, after it's loaded go online (click the icon on lower left) and folders load up properly. Haven't tested full sync and sending, etc., but it's progress.

MichalM (michalmach-gazeta) wrote :

Yes, it's loaded, but when I try to edit mail account properties, evolution completely freeze. (click : edit > properties>mail accounts >select Your account>edit> click OK (or edit something)> after that evolution fail.)

Willem Pieterson (wpieterson) wrote :

I experience the same problem. When I edit my exchange account,
evolution completely freezes. Imap accounts can be normally edited.

On Sun, Sep 19, 2010 at 2:49 PM, MichalM <email address hidden> wrote:
> Yes, it's loaded, but when I try to edit mail account properties,
> evolution completely freeze. (click : edit > properties>mail accounts
>>select Your account>edit> click OK (or edit something)> after that
> evolution fail.)
>
> --
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.
> https://bugs.launchpad.net/bugs/631395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “evolution-exchange” package in Ubuntu: New
>
> Bug description:
> Binary package hint: evolution
>
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep  6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631395/+subscribe
>

Andre Rossouw (rossouwap) wrote :

I've started evolution offline and get similar issues: Exchange account will not expand. If I start evolution and disable plugins with

evolution --disable-eplugin

my exchange account will expand and everything shows on-line. However, it will never retrieve new mail from the server, or send. Refuses to refresh the folder and stays at 0%.

Willem Pieterson (wpieterson) wrote :

I can concur on this. Used the same command and can confirm that the
exchange account shows. It will expand sub-folders and will show that
new messages are in the inbox. It won't, however, refresh and get the
messages from the server. Restarting evolution but with the plugins
brings us back to the original situation; the exchange account won't
expand.

On Tue, Sep 21, 2010 at 6:14 PM, Andre Rossouw
<email address hidden> wrote:
> I've started evolution offline and get similar issues: Exchange account
> will not expand. If I start evolution and disable plugins with
>
> evolution --disable-eplugin
>
> my exchange account will expand and everything shows on-line. However,
> it will never retrieve new mail from the server, or send. Refuses to
> refresh the folder and stays at 0%.
>
> --
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.
> https://bugs.launchpad.net/bugs/631395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “evolution-exchange” package in Ubuntu: New
>
> Bug description:
> Binary package hint: evolution
>
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep  6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631395/+subscribe
>

Andre Rossouw (rossouwap) wrote :

Further to this - if I change the password type to "Secure" instead of "Plain text" in the options of the Exchange account, as well as starting evolution offline, then things seems to work (after I've switched Evolution back to being on-line).
If Evolution asks for my AD password - I have to restart Evolution.
Once it's all doing it's thing - it really is much faster than 2.28.

Willem Pieterson (wpieterson) wrote :

I did the following things:
- Changed password to secure
- Launched evolution via the terminal in offline mode: evolution
--disable-eplugin --offline
- Went back online in evolution
All seems to work then, sending and receiving e-mail, expanding
folders, syncing offline.

It does seem to feel a bit slower then when I use IMAP.

Of course, when restarting evolution via the GUI, nothing works again.

Making progress!

On Wed, Sep 22, 2010 at 8:00 AM, Andre Rossouw
<email address hidden> wrote:
> Further to this - if I change the password type to "Secure" instead of "Plain text" in the options of the Exchange account, as well as starting evolution offline, then things seems to work (after I've switched Evolution back to being on-line).
> If Evolution asks for my AD password - I have to restart Evolution.
> Once it's all doing it's thing - it really is much faster than 2.28.
>
> --
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.
> https://bugs.launchpad.net/bugs/631395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “evolution-exchange” package in Ubuntu: New
>
> Bug description:
> Binary package hint: evolution
>
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep  6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631395/+subscribe
>

Sergio Schneider (spsf) wrote :

I think I found a solution and also the culprit: liborg-gnome-exchange-operations.so

I have mint/debian installed on another HD and noticed evolution/exchange was working fine...
I downloaded the "http://packages.debian.org/sid/i386/evolution-exchange/download" and manually extracted "liborg-gnome-exchange-operations.so" file and copied over the original on /usr/lib/evolution/2.30/plugins/
Now everything works as expected!

So the problem must be "liborg-gnome-exchange-operations.so"

Hope it helps solve the problem

Regards

riltondigger (riltondigger) wrote :

Tanks Sergio, Works for me too!! somebody report to a develop member of ubuntu this solution

Kib Reed (kib) wrote :

Using the new liborg-gnome-exchange-operations.so from Debian makes it run without doing the --offline trick for mail, but still can't access calendars or contacts (although the GAL works).

HelderPereira (pereira-helder) wrote :

It worked with the email part. But hangs when I exit Evolution.

Didn't tested the Calendar or the Contacts or the GAL.

Going to test it now

But it's better than nothing... I think

HelderPereira (pereira-helder) wrote :

Just made a dist-upgrade, evolution was updated and it seems to work fine now.

Sergio Schneider (spsf) wrote :

@ Kib Reed and HelderPereira
Try to copy the file and reboot, everything should work...

Kib Reed (kib) wrote :

I have copied the file over and rebooted (several times) with no change for calendar or contacts. At least the email is working properly with that file.

I am trying to find if a bug exists for not being able to get calendars in this version. Everything worked great in 10.04 and using a clean install of 10.10 still has these same problems.

Kib Reed (kib) wrote :

OK, made some headway. After reading through this email I decided to remove the server entry under "Global Catalog server name" and restart all processes. I can now see my calendars on Exchange. I will also note that after doing that it prompted me for my password again.

Sergio Schneider (spsf) wrote :

Strange... Now I can get email, contacts and calendars
I'm connecting to my company, it uses exchange server 2003, same as yours?

Giovanni Mellini (merlos) wrote :

I can confirm that Debian lib /usr/lib/evolution/2.30/plugins/liborg-gnome-exchange-operations.so fix the issue.
Tks for the hint, hope we can have the fix in time for 10.10 release date

Remy Hersbach (remyh) wrote :

Unfortunately it doesn't work over here. When I open my inbox Evolution crashes with the following error.

Segmentation fault (core dumped)

Willem Pieterson (wpieterson) wrote :

It works in part for me. Folder expansion goes fine and it even
(sometimes) fetches e-mail, but every once in a while it doesn't. It
is also very slow and causes Evolution to crash sometimes. Haven't
been able to figure out why, but at least this does not seem to be a
permanent solution.

On Mon, Sep 27, 2010 at 6:01 PM, Remy Hersbach
<email address hidden> wrote:
> Unfortunately it doesn't work over here. When I open my inbox Evolution
> crashes with the following error.
>
> Segmentation fault (core dumped)
>
> --
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.
> https://bugs.launchpad.net/bugs/631395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “evolution-exchange” package in Ubuntu: New
>
> Bug description:
> Binary package hint: evolution
>
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep  6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631395/+subscribe
>

cryd_be (kridybel) wrote :

The entry from Sergio seemed to have solved the problem for me.

Changed in evolution-exchange (Ubuntu):
status: New → Confirmed
Andy (andy-rao) wrote :

" downloaded the "http://packages.debian.org/sid/i386/evolution-exchange/download" and manually extracted "liborg-gnome-exchange-operations.so" file and copied over the original on /usr/lib/evolution/2.30/plugins/"

How exactly do you manually extract liborg-gnome-exchange-operations.so from a .deb file?

Willem Pieterson (wpieterson) wrote :

Download .deb file, right click it and select 'Extract here'. Now you
have a folder called 'evolution-exchange_2.30.3-2_i382'. Browse in
this folder to usr/lib/evolution/2.30/plugins and voila, there's the
file.

Good luck!

On Fri, Oct 1, 2010 at 1:12 PM, Andy <email address hidden> wrote:
> " downloaded the "http://packages.debian.org/sid/i386/evolution-
> exchange/download" and manually extracted "liborg-gnome-exchange-
> operations.so" file and copied over the original on
> /usr/lib/evolution/2.30/plugins/"
>
> How exactly do you manually extract liborg-gnome-exchange-operations.so
> from a .deb file?
>
> --
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer work in Evolution. When clicking the account, the folder structure won't expand and the account does not send or receive e-mail (although) it does appear in the send/receive dialog box.
> https://bugs.launchpad.net/bugs/631395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “evolution-exchange” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: evolution
>
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep  6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/631395/+subscribe
>

maitrechang (fake2) wrote :

Same issue on AMD64.

Tried the work around from sergio : although I now see my folders, I cannot see their content, and folder updates if not stalled, are forever ongoing without doing anything.

Martin Coxall (pseudo-meta) wrote :

Same issue on my 64-bit Intel box. Makes it rather difficult to use Ubuntu in a production environment if I can't check my work email. The Debian hack above does work for me, however.

MichalM (michalmach-gazeta) wrote :

In this case we can only wait. Is there any chance to see proper and working version of evolution-exchange plugin in official repository ?

I my case, when I use liborg-gnome-exchange-operations.so from debian repository, the problem is solved partially: In some cases I have to wait 10 to 30 seconds evolution to respond: evoluton block for 10 to 30 seconds.

I have the same problem on 64bit. Does anyone know if the problem can be solved before the official release ubunto 10:10?

MichalM (michalmach-gazeta) wrote :

I hope this will be fixed soon, but there is no interest from developers and there is no assignment. It seems that Canonical forgotten about companies. It's sad but true.

hilaire (hilaire-drouineau) wrote :

The liborg-gnome-exchange-operations.so workaround worked here for e-mails, however calendar access is still so slow that it is totally non-functional and useless. Hope it will be solved quickly seems calendars are essential to collaborate in our institute

Paul Roach (roachy) wrote :

For 64 bit versions copying the plugin from the debian repos seems to work as per Sergio's instructions. You need to get the 64 bit version though:

http://packages.debian.org/sid/amd64/evolution-exchange/download

Hospik (jmhospers) wrote :

Anyone know what the difference is between the debian and Ubuntu versions of liborg-gnome-exchange-operations.so ?

Hospik (jmhospers) wrote :

For me, the liborg-gnome-exchange-operations.so replacement from debian does not work. I can see the folder structure and cached messages, but refreshing never completes. It never gets past "Opening folder 'exchange://..../Inbox' (0% complete)". Deleted the cache and tried again, but did not help.

I am still stuck using the OWA through Firefox.

description: updated
C de-Avillez (hggdh2) on 2010-10-13
Changed in evolution-exchange (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
tags: added: regression-release
Changed in evolution-exchange:
importance: Unknown → Critical
status: Unknown → New
Didier Roche (didrocks) on 2010-10-14
Changed in evolution-exchange (Ubuntu Maverick):
status: New → Triaged
importance: Undecided → High
description: updated
description: updated
Martin Pitt (pitti) on 2010-10-15
Changed in evolution-exchange (Ubuntu Maverick):
status: Triaged → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2010-10-15
tags: added: verification-done
removed: verification-needed
Changed in evolution-exchange (Ubuntu Maverick):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Changed in evolution-exchange:
status: New → Confirmed
tags: added: verification-needed
removed: verification-done
Martin Pitt (pitti) on 2010-10-26
tags: added: verification-done
removed: verification-needed
Changed in evolution-exchange (Ubuntu Maverick):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-10-27
Changed in evolution-exchange (Ubuntu):
status: Triaged → Fix Released
Changed in evolution-exchange (Ubuntu):
status: Fix Released → Incomplete
Changed in evolution-exchange (Ubuntu Maverick):
status: Fix Released → Incomplete
Changed in evolution-exchange:
status: Confirmed → Fix Released
C de-Avillez (hggdh2) on 2010-11-23
Changed in evolution-exchange (Ubuntu):
status: Incomplete → Triaged
Changed in evolution-exchange (Ubuntu Maverick):
status: Incomplete → Triaged
119 comments hidden view all 199 comments
yeti (yetitua) wrote :

John: I'm sad it didn't work... I'll be back in 10 hours. I'll do some tests, trying to break mine. Let's see if I can reproduce what's wrong on yours.

This whole evolution thing has been a real black eye for ubuntu 10.10. Two months after launch I still dont have a fully functional evolution. I have included the maverick-proposed repo and have installed evolution from there. I use the exchange plugins to interface with my corporate exchange server. Email is the only thing that is working. I cannot acces calendar or tasks. When I try to enter those sections, evolution hangs for a few minutes and then displays a blank calendar or task list. I had roll back to 10.04. I have 10.10 running in a VM to keep checking if a new version of evolution is availble that fixes the problems but cant upgrade my host until evolution works. Its a total show stopper.

yeti (yetitua) wrote :

John: I've found that freeze while syncing at startup MIGHT (again I'm trying & falling) have a relationship with an option in your account preferences.
I'm attaching a screenshot of what it looks in Ubuntu spanish (the option, unchecked in order to avoid the problem) is pointed. In english it should say something like "scan all folders for new messages".
What I've found is that when this option is checked, Evolution hangs badly at startup. When unchecked, Evolution starts and syncs Inbox fine.

Of course, you'll only be able to test this if you manage to start Evolution up to the point where you configure your account preferences.

My advice, is try over and over. You may need to kill Evo, or even restarting your computer. Also, give a try to an off-line startup.

Quin Dennis (quinpav) wrote :

Still busted here.. Evo 2.30.3, Ubuntu 10.10

Fetches email, calendar works, contacts totally broken... no exchange contacts, no local contacts

Quin Dennis (quinpav) wrote :

Created a 10.04 VirtualBox, it all works fine there. What's up with 10.10?

Quin Dennis (quinpav) wrote :

10.04, Evolution -> if an address book name contains a space, setting it to copy content locally generates a "Folder does not exist" error.

Quin Dennis (qdennis) wrote :

Great, with the latest update not only are Contacts broken but Calendar as well.

Daniel (danielprakash) wrote :

Quin,

I am wondering how many are saying Evolution works well in 10.4.1 LTS. I am seeing lots of issues with Ubuntu 10.4.1 as well.

Can some one tell how to make Evolution to work on Ubuntu 10.4

Daniel. The problems are in 10.10 not 10.04. In 10.04 Evolution works fine. Three months after launch however, it's still hopelessly broken in 10.10. :(

trevi (ermin-trevisan) wrote :

After months of intolerable bad behaviour of Evolution concerning the refreshing of mail folders (it was only possible some times a day after several restarts of evolution and juggling around selecting different mail folders), Evolution stopped refreshing mail folders completely since 3 days. Whatever I do, in the status bar the refreshing of mail folders remain at 0%, nothing helps.
I'm using Ubuntu 10.10 64-bit and Evolution 2.30.3.

Well, do the right thing. Drop "The (Un)Perfect Ten" and: go back to
10.04 or be a real "living on the edge guy" and go to 11.04.

It's the first time I'm ashamed because I cannot, in my conscience,
advise friend and other to use Ubuntu, because if they want to use it
(like I do) in a enterprise environment, they simply can't...

It's awful no one from Canonical took this seriously. It's my first real
disappointment at Ubuntu, but it's a huge one...

On 01/31/2011 10:27 AM, trevi wrote:
> After months of intolerable bad behaviour of Evolution concerning the refreshing of mail folders (it was only possible some times a day after several restarts of evolution and juggling around selecting different mail folders), Evolution stopped refreshing mail folders completely since 3 days. Whatever I do, in the status bar the refreshing of mail folders remain at 0%, nothing helps.
> I'm using Ubuntu 10.10 64-bit and Evolution 2.30.3.
>

I agree..

I do like how much effort Canonical puts in creating a great user
experience, but a good functioning mail client is more essential to me
than transparent borders or easily resizeable windows.

On Mon, Jan 31, 2011 at 11:54 AM, HelderPereira
<email address hidden> wrote:
> Well, do the right thing. Drop "The (Un)Perfect Ten" and: go back to
> 10.04 or be a real "living on the edge guy" and go to 11.04.
>
> It's the first time I'm ashamed because I cannot, in my conscience,
> advise friend and other to use Ubuntu, because if they want to use it
> (like I do) in a enterprise environment, they simply can't...
>
> It's awful no one from Canonical took this seriously. It's my first real
> disappointment  at Ubuntu, but it's a huge one...
>
>
> On 01/31/2011 10:27 AM, trevi wrote:
>> After months of intolerable bad behaviour of Evolution concerning the refreshing of mail folders (it was only possible some times a day after several restarts of evolution and juggling around selecting different mail folders), Evolution stopped refreshing mail folders completely since 3 days. Whatever I do, in the status bar the refreshing of mail folders remain at 0%, nothing helps.
>> I'm using Ubuntu 10.10 64-bit and Evolution 2.30.3.
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/631395
>
> Title:
>  When upgrading from 10.04 to 10.10, exchange mail accounts no longer
>  work in Evolution. When clicking the account, the folder structure
>  won't expand and the account does not send or receive e-mail
>  (although) it does appear in the send/receive dialog box.
>
> Status in Evolution Exchange - Exchange Plugin for Exchange:
>  Fix Released
> Status in “evolution-exchange” package in Ubuntu:
>  Triaged
> Status in “evolution-exchange” source package in Maverick:
>  Triaged
>
> Bug description:
>  Binary package hint: evolution-exchange
>
>  uploaded to -proposed:
>  evolution-exchange (2.30.3-0ubuntu2) maverick-proposed; urgency=low
>
>    * debian/rules:
>      - strip -Bsymbolic-function to attempt fixing ExchangeAccount registration
>        (LP: #631395)
>
>  Test case:
>  1. ensure you are using an exchange server, normally it's currently broken for you in maverick
>  2. install the version from -proposed
>  3. restart evolution, you should be able to connect to your exchange server now.
>
>  ------------
>  Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.10
>  Package: evolution 2.30.3-1ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
>  Uname: Linux 2.6.35-19-generic i686
>  Architecture: i386
>  Date: Mon Sep  6 11:05:28 2010
>  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
>  ProcEnviron:
>   LANG=en_US.utf8
>   SHELL=/bin/bash
>  SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/evolution-exchange/+bug/631395/+subscribe
>

Wayne Takashiba (wtakashiba) wrote :

I too agree.

I have been using Ubuntu since 5.04 (a committed user for many years!), but finally gave up waiting for a resolution to this problem. A reliable mail client is the most essential application in an enterprise environment. About a month ago I switched to Fedora 14 (running Evolution 2.32.1); the Evolution 2.32.1 exchange has been rock solid (better than 10.04 and 2.30 which never worked very well for me either). Thus far I prefer Ubuntu over Fedora in all respects (except for Evolution) and this is my only reason for moving away from Ubuntu. My only point to posting here is to emphasize how important a reliable exchange mail client is for me.

I hope Canocial gets this right with 11.04, I'll check back in April, but for now I'm on a different distro.

trevi (ermin-trevisan) wrote :

I changed from Windows to Ubuntu with Version 9.something and Evolution did work very poorly with the same problems I have described here from the beginning. I was therefore desperately waiting for Ubuntu 10.04 and as I eventually installed it, no improvement. So I started again to wait for 10.10 and again no improvement. Besides the efforts and the knowledge (which I do not have at the moment) necessary to step back, I have no confidence that the behaviour of Evolution would be any better.
For a long time now I was happy, if I succeded in refreshing my mail folders maybe 2 or 3 times a day and I learned to "survive" with that situation (using my Webclient or my IPhone for urgent matters).
I have a pretty complex setup on my notebook with lots of software I'm using and I'm no Linux professional. It is almost impossible for me to hop around between releases and distributions.

For me it is hard to understand, that Evolution Exchange seems to work flawlessly in some Linux distributions, but not in Ubuntu.
Based on the reactions we receive here and elsewhere on our problems, I do not see a probability of improvement. If somebody would step up and tell at least, where the problem is, even if it would mean to wait for an other couple of months, that could be ok with me.
But to me it seems, that nobody has a clue about the problem itself. So how can I expect any improvement, if not even the problem seems to be identified?

I would even pay for a solution, if I only could realistically expect one.

In my experience (running Ubuntu 10.10 with evolution 2.30.3) - remove
the evolution-indicator package. That seems to be the only difference
between Evolution on Fedora and Ubuntu.
I've got no problems with Ubuntu, Evolution and Exchange 2003 now :)

Jordan Hall (jordan-hall) wrote :

This (#174) appears to resolve the issue for me. Should the evolution-indicator package be added to the affected packages list?

trevi (ermin-trevisan) wrote :

I checked in Synaptic and I do not have the indicator package installed.

Jordan Hall (jordan-hall) wrote :

Reinstalling the evolution-indicator package has not brought back the problem for me.

It is possible that the initial removal of the 'evolution-indicator' package changed configuration in such a way as to correct the problem regardless of the evolution-indicator package's installation state.

Either that or this is merely a red herring and the problem was resolved by another (unknown) factor.

I also removed the package. Evolution as a whole seems more responsive
to me now.

On Mon, Jan 31, 2011 at 1:55 PM, Jordan Hall <email address hidden> wrote:
> Reinstalling the evolution-indicator package has not brought back the
> problem for me.
>
> It is possible that the initial removal of the 'evolution-indicator'
> package changed configuration in such a way as to correct the problem
> regardless of the evolution-indicator package's installation state.
>
> Either that or this is merely a red herring and the problem was resolved
> by another (unknown) factor.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/631395
>
> Title:
>  When upgrading from 10.04 to 10.10, exchange mail accounts no longer
>  work in Evolution. When clicking the account, the folder structure
>  won't expand and the account does not send or receive e-mail
>  (although) it does appear in the send/receive dialog box.
>
> Status in Evolution Exchange - Exchange Plugin for Exchange:
>  Fix Released
> Status in “evolution-exchange” package in Ubuntu:
>  Triaged
> Status in “evolution-exchange” source package in Maverick:
>  Triaged
>
> Bug description:
>  Binary package hint: evolution-exchange
>
>  uploaded to -proposed:
>  evolution-exchange (2.30.3-0ubuntu2) maverick-proposed; urgency=low
>
>    * debian/rules:
>      - strip -Bsymbolic-function to attempt fixing ExchangeAccount registration
>        (LP: #631395)
>
>  Test case:
>  1. ensure you are using an exchange server, normally it's currently broken for you in maverick
>  2. install the version from -proposed
>  3. restart evolution, you should be able to connect to your exchange server now.
>
>  ------------
>  Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.10
>  Package: evolution 2.30.3-1ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
>  Uname: Linux 2.6.35-19-generic i686
>  Architecture: i386
>  Date: Mon Sep  6 11:05:28 2010
>  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
>  ProcEnviron:
>   LANG=en_US.utf8
>   SHELL=/bin/bash
>  SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/evolution-exchange/+bug/631395/+subscribe
>

trevi (ermin-trevisan) wrote :

I installed the indicator package using Synaptic, with no avail. I removed the package using Synaptic and started Evolution from the application panel, no avail. I started Evolution from terminal: success!
Had to kill Evolution using System Monitoring, started Evolution again using the application panel: no success. Killed Evolution again.
Uninstalled the RSS-package using Synaptic. Started Evolution again using the application panel: looking for new emails remains at 99%, I can not select an other mail folder, it won't open it. Had to kill Evolution again. No success anymore! Killed Evolution.
Uninstalled evolution-mapi and libexchangemapi using Synaptic and started Evolution again from terminal. No success anymore!

Got mad, deleted the complete .evolution directory. Started Evolution again from the application panel. Success!

For the moment it seems to work.

trevi (ermin-trevisan) wrote :

Situation today:
It does not work anymore, Exchange folders are not refreshed anymore, it does not matter if I start Evolution from the application panel or from terminal.

This is ridiculous...

Get the Linux Mint Debian Edition LMDE. Evolution works perfectly for me.

On 01/02/2011, at 07:37, trevi <email address hidden> wrote:

> Situation today:
> It does not work anymore, Exchange folders are not refreshed anymore, it does not matter if I start Evolution from the application panel or from terminal.
>
> This is ridiculous...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/631395
>
> Title:
> When upgrading from 10.04 to 10.10, exchange mail accounts no longer
> work in Evolution. When clicking the account, the folder structure
> won't expand and the account does not send or receive e-mail
> (although) it does appear in the send/receive dialog box.
>
> Status in Evolution Exchange - Exchange Plugin for Exchange:
> Fix Released
> Status in “evolution-exchange” package in Ubuntu:
> Triaged
> Status in “evolution-exchange” source package in Maverick:
> Triaged
>
> Bug description:
> Binary package hint: evolution-exchange
>
> uploaded to -proposed:
> evolution-exchange (2.30.3-0ubuntu2) maverick-proposed; urgency=low
>
> * debian/rules:
> - strip -Bsymbolic-function to attempt fixing ExchangeAccount registration
> (LP: #631395)
>
> Test case:
> 1. ensure you are using an exchange server, normally it's currently broken for you in maverick
> 2. install the version from -proposed
> 3. restart evolution, you should be able to connect to your exchange server now.
>
> ------------
> Deleting and re-adding the exchange account doens't help either. Also, creating a completely new exchange account does not work either. So it seems all exchange account don't work for me on Meerkat. IMAP does work.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: evolution 2.30.3-1ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic i686
> Architecture: i386
> Date: Mon Sep 6 11:05:28 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: evolution
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/evolution-exchange/+bug/631395/+subscribe

So I got my evolution + exchange working again. Here's my step-by-step

 * Add proposed repositories
 * apt-get update
 * apt-get upgrade
 * wget -q http://ftp.us.debian.org/debian/pool/main/s/sqlite3/libsqlite3-0_3.7.4-2_i386.deb
 * wget -q http://ftp.us.debian.org/debian/pool/main/s/sqlite3/evolution_2.30.3-5_i386.deb
 * dpkg-deb -x evolution_2.30.3-5_i386.deb loc
 * dpkg-deb --control evolution_2.30.3-5_i386.deb loc/DEBIAN
 * edit the control file to remove the maximum version dependencies for libgtk-editor0 and libgtkhtml3.14-19 [find the libxxx(<<YYY) and remove]
 * dpkg-deb -b loc evolution_2.30.3-5_i386_loc.deb
 * dpkg --install libsqlite3-0_3.7.4-2_i386.deb
 * dpkg --configure libsqlite3-0_3.7.4-2_i386.deb
 * dpkg --install evolution_2.30.3-5_i386_loc.deb
 * dpkg --configure evolution_2.30.3-5_i386_loc.deb
 * apt-get install evolution-exchange

I now have email, calendar, and GAL

Jesus Christ my copy and paset broke.

The 2nd wget url is http://ftp.us.debian.org/debian/pool/main/e/evolution/evolution_2.30.3-5_i386.deb

trevi (ermin-trevisan) wrote :

Dear Scott

Thanks for your advice, I want to give it a try. Could you please be more specific on
"* edit the control file to remove the maximum version dependencies for libgtk-editor0 and libgtkhtml3.14-19 [find the libxxx(<<YYY) and remove]"

What's the name of these files, where do I find them? I do not exactly understand what to do.

Thanks in advance

trevi (ermin-trevisan) wrote :

Finally found it.
For Stupids like me: the file is located at ../Desktop/loc/DEBIAN

trevi (ermin-trevisan) wrote :

...and instead of "libgtk-editor0" you meant "libgtkhtml-editor0", I suppose, because I didn't find any other.

Trevi

The "control" file will appear in the 'loc/DEBIAN' directory after running `dpkg-deb --control evolution_2.30.3-5_i386.deb loc/DEBIAN`
Assuming you are doing this from ~/Download/ the file you want to edit is ~/Download/loc/DEBIAN/control

I've attached a debian_evolution.sh script

trevi (ermin-trevisan) wrote :

Thanks, Scott, for your kind help.
This I have found out already. I have completed the steps you suggested.
A problem I have encountered was with the dpkg --configure (it told me that I'm not allowed to use the file name, but the package name instead. I then run the dpkg --configure again with the -pending option only.

But now, evolution is not starting anymore (missing child process) and it seems, that there is an unfulfillable dependendy (evolution-common (= 2.30.3-5).

Ok. I just checked and it looks like I also installed debian evolution-common

    wget -q http://ftp.us.debian.org/debian/pool/main/e/evolution/evolution-common_2.30.3-5_all.deb
    dpkg --install evolution-common_2.30.3-5_all.deb
    dpkg --config evolution-common

change the other dpkg --config line to 'libsqlite3-0' and 'evolution'

Re-up'ed teh script

trevi (ermin-trevisan) wrote :

Yippiieee! Seems to work! At least now.

Thanx a ton!

trevi (ermin-trevisan) wrote :

When I started my computer this morning, it does not work anymore. Refreshing the Inbox remains a 0%.
I checked the versions of the evolution package in Synaptic and I found out, that only the evolution and the evolution-common are on version 2.30.5. All others, especially evolution-exchange are still 2.30.3-0ubuntu2. Does this have any influence?

Hmmm. It still works for me...

Here's some info on my install

~>apt-show-versions | grep evo
evolution 2.30.3-5 newer than version in archive
evolution-common 2.30.3-5 newer than version in archive
evolution-data-server/maverick-updates uptodate 2.30.3-2ubuntu2.1
evolution-data-server-common/maverick-updates uptodate 2.30.3-2ubuntu2.1
evolution-exchange/maverick-updates uptodate 2.30.3-0ubuntu2
evolution-indicator/maverick uptodate 0.2.10-0ubuntu1
evolution-plugins/maverick-updates uptodate 2.30.3-1ubuntu7.3
evolution-webcal/maverick uptodate 2.28.1-1
libevolution/maverick-updates uptodate 2.30.3-1ubuntu7.3
mail-notification-evolution/maverick uptodate 5.4.dfsg.1-2.2
tracker-miner-evolution/maverick uptodate 0.8.17-0ubuntu1

The "newer than version in archive" note is because we did dpkg --install on those debs.
Note that I DO NOT have the experimental plugins. I don't know if this makes a difference.

Have you tried the --offline trick since restarting?

trevi (ermin-trevisan) wrote :

I do not have the the experimental plugins installed.

Here's the info on my install:

evolution 2.30.3-5 newer than version in archive
evolution-common 2.30.3-5 newer than version in archive
evolution-data-server 2.30.3-2ubuntu2.1 newer than version in archive
evolution-data-server-common 2.30.3-2ubuntu2.1 newer than version in archive
evolution-exchange 2.30.3-0ubuntu2 newer than version in archive
evolution-plugins 2.30.3-1ubuntu7.3 newer than version in archive
evolution-webcal/maverick uptodate 2.28.1-1
libevolution 2.30.3-1ubuntu7.3 newer than version in archive

I started evolution offline now and changed to online, it said "could not connect to the mail server..." for about 20 times. I always clicked ok until the message did not appear anymore and then it started refreshing the inbox.

This are the messages displayed in Terminal:

ermin@ermin-laptop:~/Desktop$ evolution --offline

(evolution:5476): e-utils-WARNING **: EShellSettings instances have no 'cal-show-week-numbers' property to bind to

(evolution:5476): e-utils-WARNING **: EShellSettings instances have no 'cal-show-week-numbers' property to bind to

(evolution:5476): e-utils-CRITICAL **: e_mutual_binding_new_full: assertion `G_IS_OBJECT (object2)' failed

(evolution:5476): evolution-shell-CRITICAL **: e_shell_window_get_managed_widget: assertion `widget != NULL' failed

(evolution:5476): Gtk-CRITICAL **: IA__gtk_toolbar_set_show_arrow: assertion `GTK_IS_TOOLBAR (toolbar)' failed

(evolution:5476): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_WIDGET (child)' failed

(evolution:5476): evolution-shell-CRITICAL **: e_shell_window_get_managed_widget: assertion `widget != NULL' failed

(evolution:5476): Gtk-CRITICAL **: IA__gtk_toolbar_set_show_arrow: assertion `GTK_IS_TOOLBAR (toolbar)' failed

(evolution:5476): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_WIDGET (child)' failed
eplugin-readpst-Message: pst Plugin enabled

John Doe (wjdnqpscod) wrote :

These are the steps that worked for me in getting closer to a fully working Evolution (some large folders still don't load).

With latest vanilla Evolution and Exchange support from Ubuntu 10.10 already installed, shut down Evolution, then in a console:

sudo bash
wget -q http://ftp.us.debian.org/debian/pool/main/s/sqlite3/libsqlite3-0_3.7.4-2_i386.deb
wget -q http://ftp.us.debian.org/debian/pool/main/e/evolution/evolution_2.30.3-5_i386.deb
dpkg-deb -x evolution_2.30.3-5_i386.deb loc
dpkg-deb --control evolution_2.30.3-5_i386.deb loc/DEBIAN
gedit loc/DEBIAN/control # edit as described in comment #182 and #186
dpkg-deb -b loc evolution_2.30.3-5_i386_loc.deb
dpkg --install libsqlite3-0_3.7.4-2_i386.deb
dpkg --configure libsqlite3-0
wget -q http://ftp.us.debian.org/debian/pool/main/e/evolution/evolution-common_2.30.3-5_all.deb
dpkg --install evolution-common_2.30.3-5_all.deb
dpkg --configure evolution-common
dpkg --install evolution_2.30.3-5_i386_loc.deb
dpkg --configure evolution

trevi (ermin-trevisan) wrote :

What is the difference to #182? What is the reason, why this should work better? I have to tried so many things, I must better understand what it means.

Tim (timbers2k) wrote :

Is this ever going to be addressed? I had a perfectly working Ubuntu 10.04 setup, then upgraded to 10.10 and now I can no longer use evolution with exchange. I guess it's time to install another distribution, one that supports enterprise use.

shhhhhhhh! Don't say that or you are being evil!!!!!!!

Come on fan boys! Kick his ass for being honest and living in a real world!

LOL!!

On 03/29/2011 02:43 PM, Tim wrote:
> Is this ever going to be addressed? I had a perfectly working Ubuntu
> 10.04 setup, then upgraded to 10.10 and now I can no longer use
> evolution with exchange. I guess it's time to install another
> distribution, one that supports enterprise use.
>

trevi (ermin-trevisan) wrote :

The questions are:

- which distribution and
- how do I change from Ubuntu to the new distribution?

If I can get serious answers to these questions, I'll be right away and Ubuntu was a short episode of my life.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in evolution-exchange (Ubuntu Maverick):
status: Triaged → Invalid
Displaying first 40 and last 40 comments. View all 199 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.